Author Topic: Foreach locks out needed SINGLE circle/text select-ability (SOLVED!)  (Read 702 times)

0 Members and 1 Guest are viewing this topic.

ScottMC

  • Newt
  • Posts: 191
In my micro-attempt at this, any suggestions in how to remove a single object [circle/text] would be very helpful. Just been peaking into changing Lee Mac's tool which has a reactor Live radius of its created circle. How can this be changed to disable a single object from its reactor. Thanks
Code: [Select]
(defun c:crx ()
;; (alert "\n--> Reactors <not on locked layer> Disabled.
;;\n Cancel if Working Reactor Item(s) Need to be Secured in Locked Layer")
(progn
  (foreach reactor '(*ex:circle->text *ex:text->circle)  ;; <<--
  (if (boundp reactor) (vlr-remove (eval reactor)))
  (set reactor nil)
 )
(princ)
)
)
https://www.theswamp.org/index.php?topic=37937.msg429624#msg429624
..
Breaking-News..
 TheSwamp [God Blessed] has handed me the solution!
Here's the link: (author reveal request)
https://www.theswamp.org/index.php?topic=41166.msg463365#msg463365
« Last Edit: August 07, 2022, 10:02:30 PM by ScottMC »